summaryrefslogtreecommitdiff
path: root/testsuite/pidof.tests
diff options
context:
space:
mode:
authorDenis Vlasenko2006-12-27 04:35:09 +0000
committerDenis Vlasenko2006-12-27 04:35:09 +0000
commit7b76233290bd9dead1848f28ed6d0edfcceb8e09 (patch)
treeb963999fc54eddb65f1929b894f868e24851fc9c /testsuite/pidof.tests
downloadbusybox-1_3_0.zip
busybox-1_3_0.tar.gz
Correcting tag name to be like previous ones1_3_0
Diffstat (limited to 'testsuite/pidof.tests')
-rwxr-xr-xtestsuite/pidof.tests29
1 files changed, 29 insertions, 0 deletions
diff --git a/testsuite/pidof.tests b/testsuite/pidof.tests
new file mode 100755
index 0000000..bfde26e
--- /dev/null
+++ b/testsuite/pidof.tests
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# pidof tests.
+# Copyright 2005 by Bernhard Fischer
+# Licensed under GPL v2, see file LICENSE for details.
+
+# AUDIT:
+
+. testing.sh
+
+# testing "test name" "options" "expected result" "file input" "stdin"
+
+testing "pidof (exit with error)" \
+ "pidof veryunlikelyoccuringbinaryname ; echo \$?" "1\n" "" ""
+testing "pidof (exit with success)" "pidof pidof > /dev/null; echo \$?" \
+ "0\n" "" ""
+# We can get away with this because it says #!/bin/sh up top.
+
+testing "pidof this" "pidof pidof.tests | grep -o -w $$" "$$\n" "" ""
+
+optional FEATURE_PIDOF_SINGLE
+testing "pidof -s" "pidof -s init" "1\n" "" ""
+
+optional FEATURE_PIDOF_OMIT
+testing "pidof -o %PPID" "pidof -o %PPID pidof.tests | grep -o -w $$" "" "" ""
+testing "pidof -o %PPID NOP" "pidof -o %PPID -s init" "1\n" "" ""
+testing "pidof -o init" "pidof -o 1 init | grep -o -w 1" "" "" ""
+
+exit $FAILCOUNT